summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Dmitrii Sosedov2020-03-21 03:58:51 +0100
committer Willy Sudiarto Raharjo2020-03-21 03:58:51 +0100
commitc654a06507c7a2ada68cc7deb3bc253612ced45b (patch)
tree13e6a8256d327cf104063c1503a079beceb3e7db /development
parentf0fcb30ef21b6e2f6c3352157a121466ff48c162 (diff)
downloadslackbuilds-c654a06507c7a2ada68cc7deb3bc253612ced45b.tar.gz
development/velero: Added (Backup and migrate Kubernetes resources).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/velero/README4
-rw-r--r--development/velero/slack-desc19
-rw-r--r--development/velero/velero.SlackBuild94
-rw-r--r--development/velero/velero.info10
4 files changed, 127 insertions, 0 deletions
diff --git a/development/velero/README b/development/velero/README
new file mode 100644
index 0000000000..437464e124
--- /dev/null
+++ b/development/velero/README
@@ -0,0 +1,4 @@
+velero (Backup and migrate Kubernetes resources and persistent volumes)
+
+Velero is an open source tool to safely backup and restore, perform disaster recovery,
+and migrate Kubernetes cluster resources and persistent volumes.
diff --git a/development/velero/slack-desc b/development/velero/slack-desc
new file mode 100644
index 0000000000..4b8ec3d748
--- /dev/null
+++ b/development/velero/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+velero: velero (Backup and migrate Kubernetes resources)
+velero:
+velero:
+velero: Velero is an open source tool to safely backup and restore, perform
+velero: disaster recovery, and migrate Kubernetes cluster resources and
+velero: persistent volumes.
+velero:
+velero:
+velero: Homepage: https://velero.io
+velero: Release date: Mar 10, 2020
+velero:
diff --git a/development/velero/velero.SlackBuild b/development/velero/velero.SlackBuild
new file mode 100644
index 0000000000..c711e0fb5d
--- /dev/null
+++ b/development/velero/velero.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for velero
+
+# Copyright 2020 Dmitrii Sosedov, United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=velero
+VERSION=${VERSION:-1.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ x86_64) ARCH=x86_64 ;;
+ *) ARCH=i686 ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $PKG/usr $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-v$VERSION-linux-amd64.tar.gz
+mv $PRGNAM-v$VERSION-linux-amd64 $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+mkdir -p bin
+mv $PRGNAM bin
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+chmod 755 bin
+
+mv bin $PKG/usr/
+
+find -L $PKG -type d -exec chmod 755 {} \;
+chmod 755 $PKG/usr/bin/*
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv LICENSE $PKG/usr/doc/$PRGNAM-$VERSION/.
+mv examples $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/$PRGNAM.info > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.info
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/velero/velero.info b/development/velero/velero.info
new file mode 100644
index 0000000000..7b34b9ec93
--- /dev/null
+++ b/development/velero/velero.info
@@ -0,0 +1,10 @@
+PRGNAM="velero"
+VERSION="1.3.1"
+HOMEPAGE="https://velero.io"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM="UNSUPPORTED"
+DOWNLOAD_x86_64="https://github.com/vmware-tanzu/velero/releases/download/v1.3.1/velero-v1.3.1-linux-amd64.tar.gz"
+MD5SUM_x86_64="af83dfd7e04caea2a99372009cc9570e"
+REQUIRES=""
+MAINTAINER="Dmitrii Sosedov"
+EMAIL="d.sosedov@gmail.com"